searchData={"items":[{"type":"module","doc":"Documentation for `QuickCrud`.","title":"QuickCrud","ref":"QuickCrud.html"},{"type":"macro","doc":"","title":"QuickCrud.base/1","ref":"QuickCrud.html#base/1"},{"type":"macro","doc":"","title":"QuickCrud.change/2","ref":"QuickCrud.html#change/2"},{"type":"function","doc":"","title":"QuickCrud.config/3","ref":"QuickCrud.html#config/3"},{"type":"macro","doc":"","title":"QuickCrud.create/2","ref":"QuickCrud.html#create/2"},{"type":"macro","doc":"","title":"QuickCrud.create/3","ref":"QuickCrud.html#create/3"},{"type":"macro","doc":"","title":"QuickCrud.delete/1","ref":"QuickCrud.html#delete/1"},{"type":"macro","doc":"","title":"QuickCrud.filter_by_many/2","ref":"QuickCrud.html#filter_by_many/2"},{"type":"macro","doc":"","title":"QuickCrud.filter_by_one/2","ref":"QuickCrud.html#filter_by_one/2"},{"type":"macro","doc":"","title":"QuickCrud.filter_by_one_or_many/2","ref":"QuickCrud.html#filter_by_one_or_many/2"},{"type":"macro","doc":"","title":"QuickCrud.get/1","ref":"QuickCrud.html#get/1"},{"type":"macro","doc":"","title":"QuickCrud.get!/1","ref":"QuickCrud.html#get!/1"},{"type":"macro","doc":"","title":"QuickCrud.get_by_attr/2","ref":"QuickCrud.html#get_by_attr/2"},{"type":"macro","doc":"","title":"QuickCrud.get_by_attr!/2","ref":"QuickCrud.html#get_by_attr!/2"},{"type":"macro","doc":"","title":"QuickCrud.get_for/2","ref":"QuickCrud.html#get_for/2"},{"type":"macro","doc":"","title":"QuickCrud.get_for!/2","ref":"QuickCrud.html#get_for!/2"},{"type":"macro","doc":"","title":"QuickCrud.join/2","ref":"QuickCrud.html#join/2"},{"type":"macro","doc":"","title":"QuickCrud.list/1","ref":"QuickCrud.html#list/1"},{"type":"macro","doc":"","title":"QuickCrud.new/1","ref":"QuickCrud.html#new/1"},{"type":"macro","doc":"","title":"QuickCrud.order_by/3","ref":"QuickCrud.html#order_by/3"},{"type":"macro","doc":"","title":"QuickCrud.paginate/1","ref":"QuickCrud.html#paginate/1"},{"type":"macro","doc":"","title":"QuickCrud.preload/2","ref":"QuickCrud.html#preload/2"},{"type":"macro","doc":"","title":"QuickCrud.update/2","ref":"QuickCrud.html#update/2"},{"type":"macro","doc":"","title":"QuickCrud.upsert/3","ref":"QuickCrud.html#upsert/3"},{"type":"module","doc":"Conveniences for inflecting and working with names in Phoenix.","title":"QuickCrud.Naming","ref":"QuickCrud.Naming.html"},{"type":"function","doc":"Converts a string to camel case.\n\nTakes an optional `:lower` flag to return lowerCamelCase.","title":"QuickCrud.Naming.camelize/1","ref":"QuickCrud.Naming.html#camelize/1"},{"type":"function","doc":"iex> QuickCrud.Naming.camelize(\"my_app\")\n    \"MyApp\"\n\n    iex> QuickCrud.Naming.camelize(\"my_app\", :lower)\n    \"myApp\"\n\nIn general, `camelize` can be thought of as the reverse of\n`underscore`, however, in some cases formatting may be lost:\n\n    QuickCrud.Naming.underscore \"SAPExample\"  #=> \"sap_example\"\n    QuickCrud.Naming.camelize   \"sap_example\" #=> \"SapExample\"","title":"Examples - QuickCrud.Naming.camelize/1","ref":"QuickCrud.Naming.html#camelize/1-examples"},{"type":"function","doc":"","title":"QuickCrud.Naming.camelize/2","ref":"QuickCrud.Naming.html#camelize/2"},{"type":"function","doc":"Converts an attribute/form field into its humanize version.","title":"QuickCrud.Naming.humanize/1","ref":"QuickCrud.Naming.html#humanize/1"},{"type":"function","doc":"iex> QuickCrud.Naming.humanize(:username)\n    \"Username\"\n    iex> QuickCrud.Naming.humanize(:created_at)\n    \"Created at\"\n    iex> QuickCrud.Naming.humanize(\"user_id\")\n    \"User\"","title":"Examples - QuickCrud.Naming.humanize/1","ref":"QuickCrud.Naming.html#humanize/1-examples"},{"type":"function","doc":"Extracts the resource name from an alias.","title":"QuickCrud.Naming.resource_name/2","ref":"QuickCrud.Naming.html#resource_name/2"},{"type":"function","doc":"iex> QuickCrud.Naming.resource_name(MyApp.User)\n    \"user\"\n\n    iex> QuickCrud.Naming.resource_name(MyApp.UserView, \"View\")\n    \"user\"","title":"Examples - QuickCrud.Naming.resource_name/2","ref":"QuickCrud.Naming.html#resource_name/2-examples"},{"type":"function","doc":"Converts a string to underscore case.","title":"QuickCrud.Naming.underscore/1","ref":"QuickCrud.Naming.html#underscore/1"},{"type":"function","doc":"iex> QuickCrud.Naming.underscore(\"MyApp\")\n    \"my_app\"\n\nIn general, `underscore` can be thought of as the reverse of\n`camelize`, however, in some cases formatting may be lost:\n\n    QuickCrud.Naming.underscore \"SAPExample\"  #=> \"sap_example\"\n    QuickCrud.Naming.camelize   \"sap_example\" #=> \"SapExample\"","title":"Examples - QuickCrud.Naming.underscore/1","ref":"QuickCrud.Naming.html#underscore/1-examples"},{"type":"function","doc":"Removes the given suffix from the name if it exists.","title":"QuickCrud.Naming.unsuffix/2","ref":"QuickCrud.Naming.html#unsuffix/2"},{"type":"function","doc":"iex> QuickCrud.Naming.unsuffix(\"MyApp.User\", \"View\")\n    \"MyApp.User\"\n\n    iex> QuickCrud.Naming.unsuffix(\"MyApp.UserView\", \"View\")\n    \"MyApp.User\"","title":"Examples - QuickCrud.Naming.unsuffix/2","ref":"QuickCrud.Naming.html#unsuffix/2-examples"},{"type":"module","doc":"Documentation for `Pager`.","title":"QuickCrud.Pager","ref":"QuickCrud.Pager.html"},{"type":"function","doc":"","title":"QuickCrud.Pager.ensure_integer/1","ref":"QuickCrud.Pager.html#ensure_integer/1"},{"type":"function","doc":"","title":"QuickCrud.Pager.page/4","ref":"QuickCrud.Pager.html#page/4"},{"type":"module","doc":"Documentation for `QuickCrud.Testing`.\nBased on suggestions from\n- https://elixirforum.com/t/prototyping-and-enforcing-context-function-conventions/38821/2","title":"QuickCrud.Testing","ref":"QuickCrud.Testing.html"},{"type":"macro","doc":"","title":"QuickCrud.Testing.change/1","ref":"QuickCrud.Testing.html#change/1"},{"type":"function","doc":"","title":"QuickCrud.Testing.check_change/1","ref":"QuickCrud.Testing.html#check_change/1"},{"type":"function","doc":"","title":"QuickCrud.Testing.check_create/3","ref":"QuickCrud.Testing.html#check_create/3"},{"type":"function","doc":"","title":"QuickCrud.Testing.check_delete/1","ref":"QuickCrud.Testing.html#check_delete/1"},{"type":"function","doc":"","title":"QuickCrud.Testing.check_get/1","ref":"QuickCrud.Testing.html#check_get/1"},{"type":"function","doc":"","title":"QuickCrud.Testing.check_get!/1","ref":"QuickCrud.Testing.html#check_get!/1"},{"type":"function","doc":"","title":"QuickCrud.Testing.check_list/1","ref":"QuickCrud.Testing.html#check_list/1"},{"type":"function","doc":"","title":"QuickCrud.Testing.check_new/1","ref":"QuickCrud.Testing.html#check_new/1"},{"type":"function","doc":"","title":"QuickCrud.Testing.check_paginate/1","ref":"QuickCrud.Testing.html#check_paginate/1"},{"type":"function","doc":"","title":"QuickCrud.Testing.check_update/3","ref":"QuickCrud.Testing.html#check_update/3"},{"type":"function","doc":"","title":"QuickCrud.Testing.config/2","ref":"QuickCrud.Testing.html#config/2"},{"type":"macro","doc":"","title":"QuickCrud.Testing.create/2","ref":"QuickCrud.Testing.html#create/2"},{"type":"macro","doc":"","title":"QuickCrud.Testing.create/3","ref":"QuickCrud.Testing.html#create/3"},{"type":"macro","doc":"","title":"QuickCrud.Testing.delete/1","ref":"QuickCrud.Testing.html#delete/1"},{"type":"macro","doc":"","title":"QuickCrud.Testing.get/1","ref":"QuickCrud.Testing.html#get/1"},{"type":"macro","doc":"","title":"QuickCrud.Testing.get!/1","ref":"QuickCrud.Testing.html#get!/1"},{"type":"macro","doc":"","title":"QuickCrud.Testing.list/1","ref":"QuickCrud.Testing.html#list/1"},{"type":"macro","doc":"","title":"QuickCrud.Testing.new/1","ref":"QuickCrud.Testing.html#new/1"},{"type":"macro","doc":"","title":"QuickCrud.Testing.paginate/1","ref":"QuickCrud.Testing.html#paginate/1"},{"type":"macro","doc":"","title":"QuickCrud.Testing.update/2","ref":"QuickCrud.Testing.html#update/2"},{"type":"macro","doc":"","title":"QuickCrud.Testing.update/3","ref":"QuickCrud.Testing.html#update/3"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.2"}}